Skip to main content

Packagist

Base URL: https://drain.lat/api/v1/packagist
Fetch PHP package information from Packagist/Composer.
GET /api/v1/packagist/package/:vendor/:name
vendor
string
required
The package vendor name.
name
string
required
The package name.
curl "https://drain.lat/api/v1/packagist/package/symfony/console" \
  -H "x-api-key: YOUR_API_KEY"
name
string
Package name (vendor/package).
description
string
Package description.
type
string
Package type (e.g. library).
repository
string
Repository URL.
homepage
string
Homepage URL.
keywords
array
Package keywords.
license
array
License types.
authors
array
downloads
number
Total downloads.
monthlyDownloads
number
Downloads in the last month.
dailyDownloads
number
Downloads in the last day.
favers
number
Number of users who favorited the package.
versions
number
Total number of versions.
time
string
Last update time (ISO 8601).
packagistUrl
string
Link to the Packagist page.
Response
{
  "name": "symfony/console",
  "description": "Eases the creation of beautiful and testable command line interfaces",
  "type": "library",
  "repository": "https://github.com/symfony/console",
  "homepage": "https://symfony.com",
  "keywords": ["console", "cli", "command"],
  "license": ["MIT"],
  "authors": [
    {
      "name": "Fabien Potencier",
      "email": "fabien@symfony.com"
    }
  ],
  "downloads": 1500000000,
  "monthlyDownloads": 50000000,
  "dailyDownloads": 2000000,
  "favers": 12000,
  "versions": 250,
  "time": "2024-01-15T00:00:00Z",
  "packagistUrl": "https://packagist.org/packages/symfony/console",
  "scrapedAt": "2026-05-31T00:00:00Z"
}